ROLLBACK()

NAME
ROLLBACK - abort the current transaction

SYNOPSIS

ROLLBACK [ WORK | TRANSACTION ]

DESCRIPTION

ROLLBACK rolls back the current transaction and causes all the updates made by the transaction to be discarded.

PARAMETERS

WORK

TRANSACTION
    Optional key words. They have no effect.

NOTES

Use COMMIT [commit(7)] to successfully terminate a transaction.

Issuing ROLLBACK when not inside a transaction does no harm, but it will provoke a warning message.

EXAMPLES

To abort all changes:

ROLLBACK;

COMPATIBILITY

The SQL standard only specifies the two forms ROLLBACK and ROLLBACK WORK. Otherwise, this command is fully conforming.

SEE ALSO
BEGIN [begin(7)], COMMIT [commit(l)]